Bug 1264264 - ./target/include/asm/elf.h:4:9: error: unknown type name 'Elf32_Ehdr'
./target/include/asm/elf.h:4:9: error: unknown type name 'Elf32_Ehdr'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openbios (Show other bugs)
rawhide
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 00:42 EDT by Mark Hamzy
Modified: 2016-02-05 15:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 15:00:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2015-09-18 00:42:59 EDT
[mockbuild@hamzy-test-pkvmci819 ~]$ sudo mock -r fedora-22-ppc64 --clean
[mockbuild@hamzy-test-pkvmci819 ~]$ sudo mock -r fedora-22-ppc64 --init
[mockbuild@hamzy-test-pkvmci819 ~]$ sudo mock -r fedora-22-ppc64 --install @buildsys-build vim-enhanced yum yum-utils vi wget less fpaste
[mockbuild@hamzy-test-pkvmci819 ~]$ sudo mock -r fedora-22-ppc64 --shell
<mock-chroot>sh-4.3# cd
<mock-chroot>sh-4.3# wget http://ppc.koji.fedoraproject.org/kojifiles/packages/openbios/1.1.svn1334/1.fc22/src/openbios-1.1.svn1334-1.fc22.src.rpm
<mock-chroot>sh-4.3# yum-builddep openbios-1.1.svn1334-1.fc22.src.rpm
<mock-chroot>sh-4.3# rpm -i openbios-1.1.svn1334-1.fc22.src.rpm
<mock-chroot>sh-4.3# (cd ~/build/; rpmbuild -ba SPECS/openbios.spec 2>&1 | tee errors.openbios)
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.IKgUBS
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf openbios-1.1
+ /usr/bin/gzip -dc /builddir/build/SOURCES/openbios-1.1-svn1334.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd openbios-1.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (0001-Use-64bit-gcc-for-32bit-ppc-sparc.patch):'
Patch #0 (0001-Use-64bit-gcc-for-32bit-ppc-sparc.patch):
+ /usr/bin/cat /builddir/build/SOURCES/0001-Use-64bit-gcc-for-32bit-ppc-sparc.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file config/scripts/switch-arch
Hunk #1 succeeded at 245 (offset 15 lines).
Hunk #2 succeeded at 263 (offset 15 lines).
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.tc5H1R
+ umask 022
+ cd /builddir/build/BUILD
+ cd openbios-1.1
+ /bin/sh config/scripts/switch-arch ppc
Configuring OpenBIOS on ppc64 for ppc
Initializing build tree /builddir/build/BUILD/openbios-1.1/obj-ppc...ok.
Creating target config.mak...ok.
Creating target rules.mak...ok.
Creating config files...ok.
+ make build-verbose V=1 -j16
make  -C obj-ppc V="1" all
Building...
make[1]: Entering directory '/builddir/build/BUILD/openbios-1.1/obj-ppc'
true
true
gcc -O2 -g -DFCOMPILER -DBOOTSTRAP -DSWAP_ENDIANNESS -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -W -MMD -MP -MT host/kernel/dict.o -MF 'host/kernel/dict.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o host/kernel/dict.o /builddir/build/BUILD/openbios-1.1/kernel/dict.c
gcc -O2 -g -DFCOMPILER -DBOOTSTRAP -DSWAP_ENDIANNESS -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -W -MMD -MP -MT host/kernel/bootstrap.o -MF 'host/kernel/bootstrap.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o host/kernel/bootstrap.o /builddir/build/BUILD/openbios-1.1/kernel/bootstrap.c
gcc -O2 -g -DFCOMPILER -DBOOTSTRAP -DSWAP_ENDIANNESS -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -W -MMD -MP -MT host/kernel/forth.o -MF 'host/kernel/forth.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o host/kernel/forth.o /builddir/build/BUILD/openbios-1.1/kernel/forth.c
gcc -O2 -g -DFCOMPILER -DBOOTSTRAP -DSWAP_ENDIANNESS -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -W -MMD -MP -MT host/kernel/stack.o -MF 'host/kernel/stack.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o host/kernel/stack.o /builddir/build/BUILD/openbios-1.1/kernel/stack.c
toke -o QEMU,VGA.bin /builddir/build/BUILD/openbios-1.1/drivers/vga.fs
Welcome to toke - OpenBIOS tokenizer v1.0.2
(C) Copyright 2001-2006 Stefan Reinauer.
(C) Copyright 2006 coresystems GmbH <info@coresystems.de>
(C) Copyright 2005 IBM Corporation.  All Rights Reserved.
This program is free software; you may redistribute it under the terms of
the GNU General Public License v2. This program has absolutely no warranty.


Tokenizing  /builddir/build/BUILD/openbios-1.1/drivers/vga.fs   Binary output to QEMU,VGA.bin 
Warning:  File /builddir/build/BUILD/openbios-1.1/drivers/vga.fs, Line 1.  Unterminated comment
Nothing Tokenized.  1 Warning.
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/start.o -MF 'target/arch/ppc/qemu/start.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/arch/ppc/qemu/start.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/start.S
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/timebase.o -MF 'target/arch/ppc/timebase.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/arch/ppc/timebase.o /builddir/build/BUILD/openbios-1.1/arch/ppc/timebase.S
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/ofmem.o -MF 'target/arch/ppc/qemu/ofmem.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/arch/ppc/qemu/ofmem.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/ofmem.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/qemu.o -MF 'target/arch/ppc/qemu/qemu.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/qemu.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/qemu.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/init.o -MF 'target/arch/ppc/qemu/init.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/init.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/init.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/main.o -MF 'target/arch/ppc/qemu/main.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/main.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/main.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/methods.o -MF 'target/arch/ppc/qemu/methods.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/methods.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/methods.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/vfd.o -MF 'target/arch/ppc/qemu/vfd.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/vfd.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/vfd.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/arch/ppc/qemu/console.o -MF 'target/arch/ppc/qemu/console.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -I/builddir/build/BUILD/openbios-1.1/arch/ppc  -c -o target/arch/ppc/qemu/console.o /builddir/build/BUILD/openbios-1.1/arch/ppc/qemu/console.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/kernel/dict.o -MF 'target/kernel/dict.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/kernel/dict.o /builddir/build/BUILD/openbios-1.1/kernel/dict.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/kernel/forth.o -MF 'target/kernel/forth.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/kernel/forth.o /builddir/build/BUILD/openbios-1.1/kernel/forth.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/kernel/stack.o -MF 'target/kernel/stack.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/kernel/stack.o /builddir/build/BUILD/openbios-1.1/kernel/stack.c
In file included from /usr/include/asm/sigcontext.h:13:0,
                 from /usr/include/bits/sigcontext.h:27,
                 from /usr/include/signal.h:308,
                 from /builddir/build/BUILD/openbios-1.1/kernel/bootstrap.c:13:
./target/include/asm/elf.h:4:9: error: unknown type name 'Elf32_Ehdr'
 typedef Elf32_Ehdr Elf_ehdr;
         ^
./target/include/asm/elf.h:5:9: error: unknown type name 'Elf32_Phdr'
 typedef Elf32_Phdr Elf_phdr;
         ^
In file included from /usr/include/bits/sigcontext.h:27:0,
                 from /usr/include/signal.h:308,
                 from /builddir/build/BUILD/openbios-1.1/kernel/bootstrap.c:13:
/usr/include/asm/sigcontext.h:26:2: error: unknown type name 'elf_gregset_t'
  elf_gregset_t gp_regs;
  ^
/usr/include/asm/sigcontext.h:27:2: error: unknown type name 'elf_fpregset_t'
  elf_fpregset_t fp_regs;
  ^
/usr/include/asm/sigcontext.h:82:2: error: unknown type name 'elf_vrreg_t'
  elf_vrreg_t *v_regs;
  ^
/usr/include/asm/sigcontext.h:83:20: error: 'ELF_NVRREG' undeclared here (not in a function)
  long  vmx_reserve[ELF_NVRREG+ELF_NVRREG+32+1];
                    ^
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/libopenbios/bindings.o -MF 'target/libopenbios/bindings.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/libopenbios/bindings.o /builddir/build/BUILD/openbios-1.1/libopenbios/bindings.c
powerpc64-linux-gnu-gcc $EXTRACFLAGS -m32 -msoft-float -fno-builtin-bcopy -fno-builtin-log2 -Os -g -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -Wall -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wundef -Wendif-labels -Wstrict-aliasing -Wwrite-strings -Wmissing-prototypes -Wnested-externs -Werror -MMD -MP -MT target/libopenbios/bootcode_load.o -MF 'target/libopenbios/bootcode_load.d' -I/builddir/build/BUILD/openbios-1.1/include -I/builddir/build/BUILD/openbios-1.1/kernel/include -I./target/include -c -o target/libopenbios/bootcode_load.o /builddir/build/BUILD/openbios-1.1/libopenbios/bootcode_load.c
rules.mak:92: recipe for target 'host/kernel/bootstrap.o' failed
make[1]: *** [host/kernel/bootstrap.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/builddir/build/BUILD/openbios-1.1/obj-ppc'
Makefile:32: recipe for target 'subdir-ppc' failed
make: *** [subdir-ppc] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.tc5H1R (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.tc5H1R (%build)
Comment 1 Richard W.M. Jones 2015-09-18 03:38:48 EDT
What architecture is the host?  What's the output of 'uname'?
Comment 2 Mark Hamzy 2015-09-18 11:32:04 EDT
[root@hamzy-baby mock]# uname -a
Linux hamzy-baby 3.17.4-301.fc21.ppc64p7 #1 SMP Mon Dec 1 00:50:18 MST 2014 ppc64 ppc64 ppc64 GNU/Linux
Comment 3 Richard W.M. Jones 2015-09-19 08:09:05 EDT
I'm able to reproduce this.  Just looking if there's some easy fix.
Comment 4 Cole Robinson 2015-11-04 19:38:33 EST
Anyone figure this out? Does it reproduce with fedora23 ppc host?
Comment 5 Richard W.M. Jones 2015-11-05 04:06:12 EST
I was able to reproduce this easily on F22/ppc64 (big endian).
However there was no obvious fix and I didn't try any later version
of Fedora.
Comment 6 Cole Robinson 2016-02-05 14:46:00 EST
I tried using koji-ppc. With openbios 1378 from fedora git:

ppc-koji build --scratch f23 *.srpm

Fails with:

./forthstrap -I/builddir/build/BUILD/openbios-1.1/forth/bootstrap/ -I/builddir/build/BUILD/openbios-1.1/forth/bootstrap/ -I/builddir/build/BUILD/openbios-1.1/forth/lib/ -I/builddir/build/BUILD/openbios-1.1/forth/device/ -I/builddir/build/BUILD/openbios-1.1/forth/debugging/ -I/builddir/build/BUILD/openbios-1.1/forth/admin/ -I/builddir/build/BUILD/openbios-1.1/forth/util/ -I/builddir/build/BUILD/openbios-1.1/forth/packages/ -I/builddir/build/BUILD/openbios-1.1/forth/system/ -I/builddir/build/BUILD/openbios-1.1/libopenbios/ -I/builddir/build/BUILD/openbios-1.1/packages/ -I/builddir/build/BUILD/openbios-1.1/drivers/ -I/builddir/build/BUILD/openbios-1.1/arch/ppc/ -I/builddir/build/BUILD/openbios-1.1 -I./forth -D bootstrap.dict -M bootstrap.dict.d -c bootstrap.dict-console.log  forth/bootstrap/start.fs
panic: segmentation violation at 0x7d54062c
dict=0x3fff7d540010 here=0x3fff7d540638(dict+0x628) pc=0x0(dict+0x82abfff0)
dstackcnt=0 rstackcnt=0 instruction=deadbeef
dstack: 0x0
rstack: 0x0

Temporary log here: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/1815/3121815/build.log

Laurent, have you tried building openbios on ppc64? any ideas?
Comment 7 Laurent Vivier 2016-02-05 14:54:16 EST
Yes, it works fine on my Fedora 22 ppc64, it seems you are using svn 1334, you need commit from svn 1358:

from git://git.qemu-project.org/openbios.git

commit e0bd20a562f2221a821d782ddb4a85288fb47a78
Author: mcayland <mcayland@f158a5a8-5612-0410-a976-696ce0be7e32>
Date:   Fri Nov 6 15:06:36 2015 +0000

    bootstrap: don't include files from target/include as system includes
    
    Replace "-I" by "-iquote" to only take files from this directory
    when '#include "..."' is used ('#include <...>' works as usual).
    
    We need this because on powerpc64 asm/sigcontext.h includes <asm/elf.h> and
    tries to include target/include/asm/elf.h instead of /usr/include/asm/elf.h.
    
    We also remove from include/arch/ppc/types/h some useless and conflicting
    type definitions.
    
    Signed-off-by: Laurent Vivier <laurent@vivier.eu>
    Signed-off-by: Mark Cave-Ayland <mark.cave-ayland@ilande.co.uk>
    
    git-svn-id: svn://openbios.org/openbios/trunk/openbios-devel@1358 f158a5a8-5
612-0410-a976-696ce0be7e32
Comment 8 Cole Robinson 2016-02-05 15:00:56 EST
Thanks Laurent! that's in rawhide now since I just updated to 1378, so closing this

Note You need to log in before you can comment on or make changes to this bug.